QGIS Application - Bug report #19663
QGIS Hangs when saving edits on a Postgis Layer
2018-08-21 01:04 PM - Erica Roberts

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.22

Operating System: Windows 10 Pro, 64Bit
Pull Request or Patch supplied:

Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 27488

Description

| am working with a PostGIS layer which has 13 000+ records. | use Google Satelite imagery from the OpenLayers Plugin. | have one
other PostGIS layer in the project and one other shapefile. While editing the PostGIS layer and saving multiple times, | have no problems.
After about an hour (this varies) QGIS for some reason would start hanging when | try to save the edits on the PostGIS layer. After the

first hang, it might respond again and manage to finish the save, but sometimes it doesn't and crashes completely. After the first hang, it

could still work, but then it would nearly hang every time | save the PostGIS layer edits. | do not loose any data and no data becomes

corrupt, but | have to restart QGIS then at least 5 times a day. | have checked the layer is indexed in PostGIS and it has the spatial

reference information in the Geometry field. This is just a simple linestring.

History

#1 - 2018-08-21 07:28 PM - Giovanni Manghi
- Priority changed from Normal to High
- Status changed from Open to Feedback

Does it hangs after an idle period since the last edit/save?

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-24 04:01 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
